# MatStashGetInfo

Gets how many values are currently in the vector stash, i.e. need to be communicated to other processors during the MatAssemblyBegin/End() process

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatStashGetInfo(Mat mat,PetscInt *nstash,PetscInt *reallocs,PetscInt *bnstash,PetscInt *breallocs)

Not collective

### Input Parameter

vec -the vector

### Output Parameters

| nstash | - the size of the stash
| reallocs | - the number of additional mallocs incurred.
| bnstash | - the size of the block stash
| breallocs | - the number of additional mallocs incurred.in the block stash

### See Also

MatAssemblyBegin(), MatAssemblyEnd(), Mat, MatStashSetInitialSize()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages